import scipy as sp

def autocorrelation(I,v):
    sr,sc = v
    if sr<0:
        sr=-sr
        sc=-sc
    rows,cols = I.shape[:2]
    if sc<0:
        A = I[:rows-sr,-sc:]
        B = I[sr:,:cols+sc]
    else:
        A = I[:rows-sr,:cols-sc]
        B = I[sr:,sc:]
    mean = I.mean()
    variance = I.var()
    return  ((A-mean)*(B-mean)).sum()/variance

