# Information needed to invert (an approximation to) the sphere frame.
import numpy as np

dependsOnRNGs = True
maxn = None

# This already divides out the VOLUME of the "frame space" (as in the discrete case the number of projections divided by 3 takes that place).
DD = np.array([[1, 2/5.0, 2/5.0], [2/5.0, 1, 2/5.0], [2/5.0, 2/5.0, 1]])#*(4*np.pi/3)

def sample(R):
    while True:
        d = R.next()
        d *= d.sum()
        yield d

